"""
Python module for storing constants for the horizontal tail geometry submodels.
"""
#  This file is part of FAST-OAD_CS23 : A framework for rapid Overall Aircraft Design
#  Copyright (C) 2025  ONERA & ISAE-SUPAERO
#  FAST is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <https://www.gnu.org/licenses/>.

SERVICE_HT_CHORD = "service.geometry.horizontal_tail.chord"
SERVICE_HT_SWEEP = "service.geometry.horizontal_tail.sweep"
SERVICE_HT_WET_AREA = "service.geometry.horizontal_tail.wet_area"
SERVICE_HT_DISTANCE = "service.geometry.horizontal_tail.distance"
SERVICE_HT_EFFICIENCY = "service.geometry.horizontal_tail.efficiency"

SUBMODEL_HT_CHORD_LEGACY = "fastga.submodel.geometry.horizontal_tail.chord.legacy"
SUBMODEL_HT_SWEEP_LEGACY = "fastga.submodel.geometry.horizontal_tail.sweep.legacy"
SUBMODEL_HT_WET_AREA_LEGACY = "fastga.submodel.geometry.horizontal_tail.wet_area.legacy"
SUBMODEL_HT_DISTANCE_LEGACY = "fastga.submodel.geometry.horizontal_tail.distance.legacy"
SUBMODEL_HT_EFFICIENCY_LEGACY = "fastga.submodel.geometry.horizontal_tail.efficiency.legacy"
SUBMODEL_HT_VOLUME_COEFF_LEGACY = (
    "fastga.submodel.geometry.horizontal_tail.volume_coefficient.legacy"
)
