"""
Python module for storing constants for the wing geometry submodels.
"""
#  This file is part of FAST-OAD_CS23 : A framework for rapid Overall Aircraft Design
#  Copyright (C) 2025  ONERA & ISAE-SUPAERO
#  FAST is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <https://www.gnu.org/licenses/>.

SERVICE_WING_THICKNESS_RATIO = "service.geometry.wing.thickness_ratio"
SERVICE_WING_SPAN = "service.geometry.wing.span"
SERVICE_WING_HEIGHT = "service.geometry.wing.height"
SERVICE_WING_L1_L4 = "service.geometry.wing.l1_l4"
SERVICE_WING_L2_L3 = "service.geometry.wing.l2_l3"
SERVICE_WING_X_LOCAL = "service.geometry.wing.x_local"
SERVICE_WING_X_ABSOLUTE = "service.geometry.wing.x_absolute"
SERVICE_WING_B50 = "service.geometry.wing.half_span"
SERVICE_WING_MAC = "service.geometry.wing.mac"
SERVICE_WING_SWEEP = "service.geometry.wing.sweep"
SUBMODEL_WING_WET_AREA = "submodel.geometry.wing.wet_area"

SUBMODEL_WING_THICKNESS_RATIO_LEGACY = "fastga.submodel.geometry.wing.thickness_ratio.legacy"
SUBMODEL_WING_SPAN_LEGACY = "fastga.submodel.geometry.wing.span.legacy"
SUBMODEL_WING_HEIGHT_LEGACY = "fastga.submodel.geometry.wing.height.legacy"
SUBMODEL_WING_L1_L4_LEGACY = "fastga.submodel.geometry.wing.l1_l4.legacy"
SUBMODEL_WING_L2_L3_LEGACY = "fastga.submodel.geometry.wing.l2_l3.legacy"
SUBMODEL_WING_X_LOCAL_LEGACY = "fastga.submodel.geometry.wing.x_local.legacy"
SUBMODEL_WING_X_ABSOLUTE_LEGACY = "fastga.submodel.geometry.wing.x_absolute.legacy"
SUBMODEL_WING_B50_LEGACY = "fastga.submodel.geometry.wing.half_span.legacy"
SUBMODEL_WING_MAC_LEGACY = "fastga.submodel.geometry.wing.mac.legacy"
SUBMODEL_WING_SWEEP_LEGACY = "fastga.submodel.geometry.wing.sweep.legacy"
SUBMODEL_WING_WET_AREA_LEGACY = "fastga.submodel.geometry.wing.wet_area.legacy"
