"""
Python module for constants of submodels and services naming strings,
applied in mass breakdown calculations.
"""
#  This file is part of FAST-OAD_CS23 : A framework for rapid Overall Aircraft Design
#  Copyright (C) 2025  ONERA & ISAE-SUPAERO
#  FAST is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <https://www.gnu.org/licenses/>.

SERVICE_AIRFRAME_MASS = "service.weight.mass.airframe"
SERVICE_PROPULSION_MASS = "service.weight.mass.propulsion"
SERVICE_SYSTEMS_MASS = "service.weight.mass.systems"
SERVICE_FURNITURE_MASS = "service.weight.mass.furniture"
SERVICE_PAYLOAD_MASS = "service.weight.mass.payload"
SERVICE_OWE = "service.weight.mass.owe"


SUBMODEL_AIRFRAME_MASS_LEGACY = "fastga.submodel.weight.mass.airframe.legacy"
SUBMODEL_PROPULSION_MASS_LEGACY = "fastga.submodel.weight.mass.propulsion.legacy.fuel"
SUBMODEL_SYSTEMS_MASS_LEGACY = "fastga.submodel.weight.mass.systems.legacy"
SUBMODEL_FURNITURE_MASS_LEGACY = "fastga.submodel.weight.mass.furniture.legacy"
SUBMODEL_PAYLOAD_MASS_LEGACY = "fastga.submodel.weight.mass.payload.legacy"
SUBMODEL_OWE_LEGACY = "fastga.submodel.weight.mass.owe.legacy"
